Description

User Story: * Subnet level parameters to define Outbound HTTP/HTTPS proxy *

Deploy Foreman/Puppet to broad network with multiple public and private RFC1918 subnets.  Designated secure subnets require

use of local outbound squid proxy or host specific firewall rules in order to gain access to other subnets, including Internet.

E.G.  Subnet 1 (192.168.1.0/24), for PCI compliance, requires use of 192.168.1.5 squid proxy, plus proxy auth.  Subnet 2

(192.168.2.0/24), for HIPAA compliance, requires use of 192.168.2.5 squid proxy, no proxy auth.  Subnet 3 (192.168.3.0/24), for

organization compliance, requires use of <public ip> squid proxy, no proxy auth.  Subnet 4 (192.168.4.0/24), does not require proxy. 

Subnet 5 (172.18.0.0/16), for DoD classified research, requires use of 172.18.0.5 squid proxy, plus proxy auth. Subnet 6 <public

DMZ ip>, requires use of <public ip> squid proxy, plus proxy auth.

DNS domains cross subnet boundaries, so parameters applied through DNS domains may not be appropriate for hosts in some

subnets.  Likewise, HostGroup organization may not follow domain or subnet architecture, so parameter inheritance may not be

appropriate.

Parameter inheritance:  Global -> Domain -> Subnet -> HostGroup -> Host, would allow for a default proxy parameter to be set at the

domain level, and overidden at the subnet level as needed.  User defined Boolean params like proxy_required and

proxy_auth_required, along with string params like proxy_url, proxy_host and proxy_port could then be applied through numerous

templates for things like yum.conf, wgetrc, puppet.conf, etc.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Feature #13677: Add NTP settings option in subnet tab Rejected 02/11/2016

Has duplicate Foreman - Feature #1464: Parameters in subnets Duplicate 01/22/2012

Associated revisions

Revision 03261ebb - 03/09/2016 02:50 AM - Sean O'Keeffe

Fixes #3582 - Parameters on subnets

History

#1 - 11/11/2013 09:30 PM - Sean Alderman

Another use case:  Per Subnet default gateway parameter accessible at by puppet agent.

#2 - 04/15/2014 02:51 PM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 02/24/2016 08:27 AM - Sean O'Keeffe

- Related to Feature #13677: Add NTP settings option in subnet tab  added

#4 - 02/24/2016 08:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing
- Assignee set to Sean O'Keeffe

- Pull request https://github.com/theforeman/foreman/pull/3228 added

#5 - 03/09/2016 03:01 AM - Sean O'Keeffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 03261ebb5af721a4d80739a523ab61402c9c1cd4.

#6 - 03/09/2016 09:53 AM - Dominic Cleal

- Category set to Network

#7 - 03/09/2016 09:53 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#8 - 05/03/2016 11:46 AM - Bryan Kearney

- Bugzilla link set to 1302931

#9 - 12/12/2016 07:16 AM - Tomer Brisker

- Bugzilla link changed from 1302931 to 1291935

#10 - 12/12/2016 07:17 AM - Tomer Brisker

- Has duplicate Feature #1464: Parameters in subnets added
